"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AdRecord = void 0;
const error_1 = require("../utils/error");
class AdRecord {
    constructor(obj) {
        if (!obj.name || obj.name.length > 100) {
            throw new error_1.ValidationError('Nazwa ogłoszenia nie może być pusta ani przekraczać 100 znaków.');
        }
        if (obj.description.length > 1000) {
            throw new error_1.ValidationError('Treść ogłoszenia nie może przekraczać 1000 znaków.');
        }
        if (obj.price < 0 || obj.price > 9999999) {
            throw new error_1.ValidationError('Cena nie może być mniejsza niż 0 lub większa niź 9 999 999.');
        }
        if (!obj.url || obj.url.length > 100) {
            throw new error_1.ValidationError('Link ogłoszenia nie może być pusty ani przekraczać 100 znaków.');
        }
        if (typeof obj.lat !== 'number' || typeof obj.lon !== 'number') {
            throw new error_1.ValidationError('Nie można zlokalizować ogłoszenia.');
        }
        this.name = obj.name;
        this.description = obj.description;
        this.price = obj.price;
        this.url = obj.url;
        this.lat = obj.lat;
        this.lon = obj.lon;
    }
}
exports.AdRecord = AdRecord;
//# sourceMappingURL=adrecord.js.map